/*
 * Copyright(C) 2009 avanza Co.,Ltd. All rights reserved.
 * http://www.avnz.co.jp/
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */
package com.aimluck.eip.modules.screens;

import org.apache.jetspeed.services.logging.JetspeedLogFactoryService;
import org.apache.jetspeed.services.logging.JetspeedLogger;
import org.apache.turbine.util.RunData;
import org.apache.velocity.context.Context;

import com.aimluck.eip.searchmap.SearchMapSelectData;
import com.aimluck.eip.util.ALEipUtils;


/**
 * 保存した検索文字列の一覧を処理するクラスです。 <br />
 * プルダウンに保存した文字列を表示
 */
public class SearchMapScreen extends ALVelocityScreen {

  /** logger */
  private static final JetspeedLogger logger = JetspeedLogFactoryService
      .getLogger(SearchMapScreen.class.getName());
  
  /**
   * @see org.apache.turbine.modules.screens.RawScreen#doOutput(org.apache.turbine.util.RunData)
   */
  @Override
  protected void doOutput(RunData rundata, Context context) throws Exception {
    try {
      SearchMapSelectData listData = new SearchMapSelectData();
      listData.initField();
      listData.doViewList(this, rundata, context);
      String layout_template = "portlets/html/ja/ajax-searchmap.vm";
      setTemplate(rundata, context, layout_template);
    } catch (Exception ex) {
      logger.error("[SearchMapScreen] Exception.", ex);
      ALEipUtils.redirectDBError(rundata);
    }
  }
  
}
